#INCLUDE "PROTHEUS.CH"

/*


ͻ
Programa  GPEM120FT Autor  Nelson Guerreiro      Data   13/11/13   
͹
Desc.      Rotina automtica para os Lanamentos Mensais do Salrio,  
           Vale e Grmio.                                             
                                                                       
ͼ


*/

User Function GPM120FT()
	
	Local cFil		:= ""
	Local cMat		:= ""
	Local nSalario	:= 0
	Local nVale		:= 0
	Local nGremio	:= 0
	Local dSalario
	Local dVale
	Local dGremio
	Local cFolMes
	Local cNewFolMes
	Local lDinBan
	Local lGremio
	Local lNoVale
	Local aSalario	:= { }
	Local aVale		:= { }
	Local aGremio	:= { }
	Local aReturn	:= { }

	cFolMes	:= alltrim(GETMV("MV_FOLMES"))
	nAno	:= val(substr(cFolMes,1,4))
	nMes	:= val(substr(cFolMes,5,2))
	
	if nMes == 12
		nAno++
		nMes := 1
	else
		nMes++
	endif
	
	cNewFolMes := alltrim(str(nAno))+alltrim(strzero(nMes,2))
	cRefol := alltrim(strzero(nMes,2))+"/"+alltrim(str(nAno))
	
	PUTMV("MV_FOLMES", cNewFolMes)

	dSalario := stod(substr(cNewFolMes,1,4)+substr(cNewFolMes,5,6)+"05")
	dVale := stod(substr(cNewFolMes,1,4)+substr(cNewFolMes,5,6)+"20")
	dGremio := stod(substr(cNewFolMes,1,4)+substr(cNewFolMes,5,6)+"15")
	
	dbSelectArea("SRC")
	if AbreExcl("SRC")
	Zap
	Endif AbreExcl()
	dbclosearea()
	
	dbselectarea("SRA")
	SRA->(dbgotop())
	While SRA->(!EOF())

		cFil 		:= alltrim(SRA->RA_FILIAL)
		cMat 		:= alltrim(SRA->RA_MAT)

		nSalario 	:= SRA->RA_SALARIO
		nVale 		:= SRA->RA__VALE
		lDinBan 	:= SRA->RA__DINBAN
 		lGremio 	:= SRA->RA__GREMIO
		lNoVale 	:= SRA->RA__NOVALE
		nVale 		:= SRA->RA__VALE
		nValGremio := 2 // Se necessrio, altere a taxa do Grmio aqui.

		Begin Transaction
			// Lanamento do Salrio
			RecLock("SRC",.T.)
			SRC->RC_FILIAL	:= cFil
			SRC->RC_MAT		:= cMat
			SRC->RC_PD		:= "101"
			SRC->RC_TIPO1	:= "V"
			SRC->RC_VALOR	:= nSalario
			SRC->RC_DATA	:= dSalario
			SRC->RC_CC		:= "109001"
			SRC->RC_TIPO2	:= "I"
			SRC->(MsUnlock())

			// Lanamento do Vale
			IF lNoVale == .T.
				RecLock("SRC",.T.)
				SRC->RC_FILIAL	:= cFil
				SRC->RC_MAT		:= cMat
				SRC->RC_PD		:= "49"
				SRC->RC_TIPO1	:= "V"
				SRC->RC_VALOR	:= nVale
				SRC->RC_DATA	:= dVale
				SRC->RC_CC		:= "109001"
				SRC->RC_TIPO2 	:= "I"
				SRC->(MsUnlock())
			ENDIF

			// Lanamento do Grmio
			IF lGremio == .T.
				RecLock("SRC",.T.)
				SRC->RC_FILIAL	:= cFil
				SRC->RC_MAT		:= cMat
				SRC->RC_PD		:= "51"
				SRC->RC_TIPO1	:= "V"
				SRC->RC_VALOR	:= nGremio
				SRC->RC_DATA	:= dGremio
				SRC->RC_CC		:= "109001"
				SRC->RC_TIPO2	:= "I"
				SRC->(MsUnlock())
			ENDIF
	
		End Transaction

		SRA->(dbskip(1))
	
	EndDo

	MSGINFO('FECHAMENTO DA FOLHA REALIZADO COM SUCESSO!'+chr(13)+chr(10)+chr(13)+chr(10)+'Para lanar os)

//	MSGINFO("Relanamento de folha automtico realizado com sucesso!"+chr(13)+chr(10)+chr(13)+chr(10)+"Itens lanados: Salrio, Vale e Grmio"+chr(13)+chr(10)+"Referncia atual: "+cRefol)

Return